package ru.landgrafhomyak.db.skeleton1.api.table

import ru.landgrafhomyak.db.skeleton1.api.DebugApi
import ru.landgrafhomyak.db.skeleton1.api.ObjectOperations

public interface TableScopedObject<oUE : Any?, tUE : Any, IK : Any> {
	public val uExt: oUE

	@DebugApi
	public val name: String

	@DebugApi
	public val table: Table<tUE, *, IK>

	@DebugApi
	public val meta: ObjectOperations.ImplementationsProvider<oUE>
}