package ru.landgrafhomyak.db.skeleton1.api.module

import ru.landgrafhomyak.db.skeleton1.api.DebugApi
import ru.landgrafhomyak.db.skeleton1.api.ObjectOperations

public interface ModuleScopedObject<oUE : Any?, mUE : Any, IK : Any> {
	public val uExt: oUE

	@DebugApi
	public val name: String

	@DebugApi
	public val module: Module<mUE, IK>

	@DebugApi
	public val namespace: Namespace<mUE, IK>

	@DebugApi
	public val meta: ObjectOperations.ImplementationsProvider<oUE>
}